<template>
 <div >
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
                <th>{{$t('global.no')}}</th>
                <th>{{$t('item_inquire.no')}}</th>
                <th>{{$t('item_inquire.title')}}</th>
                <th>{{$t('item_inquire.date')}}</th>
                <th>{{$t('item_inquire.status')}}</th>
                <th>{{$t('global.opreation')}}</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.item_inquire_number}}</td>
                <td>
                  <div id="description">
                    {{item.item_inquire_desc}}
                  </div>
                  <a href="javascript:void(0)" class="btn m-btn--pill btn-outline-brand btn-sm toggle_description">نمایش</a>
                </td>
                <td>{{item.item_inquire_date}}</td>
                <td>{{item.inquire_status.name_dr}}</td>
                <td>
                    <router-link :to="'/items/inquire/edit/'+item.id">
                        <i class="flaticon-cart"></i>
                    </router-link>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'EndItemIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/inquire'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
